DPDK patches and discussions
 help / color / mirror / Atom feed
* [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input.
@ 2020-03-30 14:18 Piotr Sieduszewski
  2020-05-24 17:07 ` Thomas Monjalon
  0 siblings, 1 reply; 5+ messages in thread
From: Piotr Sieduszewski @ 2020-03-30 14:18 UTC (permalink / raw)
  To: dev; +Cc: Piotr Sieduszewski

From: Piotr Sieduszewski <piotr.sieduszewski@intel.com>

Signed-off-by: Piotr Sieduszewski <piotr.sieduszewski@intel.com>
---
 usertools/dpdk-setup.sh | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/usertools/dpdk-setup.sh b/usertools/dpdk-setup.sh
index e5bbe9fee..c9660f950 100755
--- a/usertools/dpdk-setup.sh
+++ b/usertools/dpdk-setup.sh
@@ -593,7 +593,7 @@ while [ "$QUIT" == "0" ]; do
 	OPTIONS[$OPTION_NUM]="quit"
 	echo ""
 	echo -n "Option: "
-	read our_entry
+	read our_entry || break
 	echo ""
 	${OPTIONS[our_entry]} ${our_entry}
 
-- 
2.17.1


^ permalink raw reply	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2020-05-25 10:06 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2020-03-30 14:18 [dpdk-dev] [PATCH] dpdk-setup.sh: Prevent infinite loop, when end of input Piotr Sieduszewski
2020-05-24 17:07 ` Thomas Monjalon
2020-05-24 18:01   ` Piotr
2020-05-25  5:29   ` Sieduszewski, Piotr
2020-05-25  6:55     ` Thomas Monjalon

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).